# FormatterElement

A wrapper for the implementations of PHPUnit2ResultFormatter.

author | Michiel Rook mrook@php.net
version | $Id: bdeb31dd23f2955530fca5cfe3fb116d8d10bf54 $
package | phing.tasks.ext.phpunit
since | 2.1.0

### Methods

## Returns extension

    getExtension() : string

### Response

`string`

## Returns formatter object

    getFormatter() : \PHPUnitResultFormatter

throws |

### Response

`\PHPUnitResultFormatter`

## Returns output filename

    getOutfile() : string

### Response

`string`

## Returns output directory

    getToDir() : string

### Response

`string`

## Returns whether to store formatting results in a file

    getUseFile()

## Loads a specific formatter class

    setClassName( $className)

### Arguments

#### $className

``

## Sets output filename

    setOutfile(string $outfile)

### Arguments

#### $outfile

`string`

## Sets parent task

    setParent(\Task $parent)

### Arguments

#### $parent

`\Task`

Calling Task

## Sets output directory

    setToDir(string $toDir)

### Arguments

#### $toDir

`string`

## Loads a specific formatter type

    setType(string $type)

### Arguments

#### $type

`string`

## Sets whether to store formatting results in a file

    setUseFile( $useFile)

### Arguments

#### $useFile

``

### Properties

## formatter

    formatter :

### Type(s)

``

## type

    type :

### Type(s)

``

## useFile

    useFile :

### Type(s)

``

## toDir

    toDir :

### Type(s)

``

## outfile

    outfile :

### Type(s)

``

## parent

    parent :

### Type(s)

``